(Vmon)
; Draws a double swing, single action door.
(Defun C:Dssa (/ P1 P2 P3 P4 P5 P6 P7 A1 A2 A)
  (Setvar "Cmdecho" 0)
  (Initget 7)
  (Setq A (* 2 (Getdist "\nEnter width of one door: ")))
  (Initget 1)
  (Setq P1 (Osnap (Getpoint "\nEnter hinge point of door: ") "Nea"))
  (Setvar "Lastpoint" P1)
  (Initget 1)
  (Setq P2 (Osnap (Getpoint "\nTouch point on opposite side of wall: ") "Per"))
  (Initget 1)
  (Setq P3 (Osnap (Getpoint
    "\nShow side of hinge you wish to place door: ") "Nea"))
  (Setq A1 (Angle P1 P3))
  (Setq P3 (Polar P1 A1 A))
  (Setq A2 (Angle P1 P2))
  (Setq P4 (Polar P3 A2 (Distance P1 P2)))
  (Setq P5 (Polar P1 (+ Pi A2) (* A 0.5)))
  (Setq P6 (Polar P3 (+ Pi A2) (* A 0.5)))
  (Setq P7 (Polar P1 A1 (* A 0.5)))
  (Command "Break" P1 P3 "Break" P2 P4)
  (Command "Line" P1 P2 "" "Line" P3 P4 "" "Line" P1 P5 "" "Line" P3 P6 "")
  (Command "Arc" P7 "E" P5 "D" (Polar P7 (+ Pi A2) A) "Arc" P7 "E"
    P6 "D" (Polar P7 (+ Pi A2) A))
  (Command "Insert" "Dinfo" (Polar P2 A1 (* 0.5 A)) (Getvar "Dimscale") "" "0")
  (Princ)
)
